/*                               mydefines.h                            */
/*                                                                      */
/* These are some of my #define...                                      */

#define PROGRAM 0
#define GAME 1
#define LEVEL 2
#define OPPONENT 3

#define CARDNUM 17                     /* How many cards */
#define CARDSIZE 390                   /* WORDs per each card */
#define ARRAYSIZE CARDSIZE * CARDNUM   /* Dimension of the data array */
#define SCALE 2147483647.0             /* Used by shufflecards.c */

#define PLAYERX_SHADOW 255
#define PLAYERX 253
#define PLAYERY_SHADOW 16
#define PLAYERY 14
#define TURNX_SHADOW 271
#define TURNX 269
#define TURNY_SHADOW 30
#define TURNY 28
#define TURN_NUMBERX_SHADOW 279
#define TURN_NUMBERX 277
#define TURN_NUMBERY_SHADOW 41
#define TURN_NUMBERY 39
#define SCOREX_SHADOW 267
#define SCOREX 265
#define SCOREY_SHADOW 55
#define SCOREY 53
#define POINTSX_SHADOW 267
#define POINTSX 265
#define POINTSY_SHADOW 66
#define POINTSY 64
#define COLOR1 10
#define COLOR2 23
#define COLOR3 29

#define FIRST 1
#define SECOND 2

#define DUMMY_VALUE 84055     /* It's only my telephone number */
#define PICKED_THANKS 100
#define PICKED_ABOUT 101
#define PICKED_EXIT 102
#define PICKED_START 103
#define PICKED_PEEK 104
#define PICKED_QUIT 105
#define PICKED_EASY 106
#define PICKED_NORMAL 107
#define PICKED_HARD 108
#define PICKED_AMIGA 109
#define PICKED_HUMAN 110
#define PICKED_YEAH 200
#define PICKED_NAAH 201
#define PICKED_CLICK 202

#define SCWIDTH 320
#define YOFFSET_SHADOW 186
#define YOFFSET 184

#define START_STRING          "Take a look at these cards..."
#define PICK_FIRST_STRING     "Now click on the first card"
#define PICK_SECOND_STRING    "And now click on the second card"
#define RIGHT_STRING          "GREAT! You've got them: continue..."
#define WRONG_STRING          "HEY! Your memory has gone: pass..."
#define PEEK_STRING           "...Okay, you asked for it..."
#define NO_PEEK_STRING        "Sorry, you can't peek... yet!"
#define TOO_MUCH_STRING       "Sorry, you can't peek no more!"

#define PEEKIMAGESIZE 285
