/*                               mygadgets.c                            */
/*                                                                      */
/* To be compiled separately using: lc -b -r -v mygadgets               */

#include <intuition/intuition.h>
#include "mydefines.h"



/* Now I work with the data for the NAAH! gadget... */

USHORT naahdataoff[PEEKIMAGESIZE] =
{

/* ----- plane # 0 ------ */

  0x7fff,  0xffff,  0xfffe,
  0xffff,  0xffff,  0xffff,
  0xe000,  0x0,  0x7,
  0xcfff,  0xffff,  0xfff3,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xcfff,  0xffff,  0xfff3,
  0xe000,  0x0,  0x7,
  0xffff,  0xffff,  0xffff,
  0x7fff,  0xffff,  0xfffe,

/* ----- plane # 1 ----- */

  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x318,  0x6061,  0x9980,
  0x398,  0xf0f1,  0x9bc0,
  0x3d8,  0xf0f1,  0x9bc0,
  0x379,  0x9999,  0xf980,
  0x339,  0xf9f9,  0x9980,
  0x31b,  0xf0d,  0x9800,
  0x31b,  0xf0d,  0x9980,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,

/* ----- plane # 2 ----- */

  0x8000,  0x0,  0x1,
  0x3fff,  0xffff,  0xfffc,
  0x6000,  0x0,  0x6,
  0x4fff,  0xffff,  0xfff2,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5ce7,  0x9f9e,  0x667a,
  0x5c67,  0xf0e,  0x643a,
  0x5c27,  0xf0e,  0x643a,
  0x5c86,  0x6666,  0x67a,
  0x5cc6,  0x606,  0x667a,
  0x5ce4,  0xf0f2,  0x67fa,
  0x5ce4,  0xf0f2,  0x667a,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x4fff,  0xffff,  0xfff2,
  0x6000,  0x0,  0x6,
  0x3fff,  0xffff,  0xfffc,
  0x8000,  0x0,  0x1,

/* -----  plane # 3 ----- */

  0x0,  0x0,  0x0,
  0x3fff,  0xffff,  0xfffc,
  0x6000,  0x0,  0x6,
  0x4fff,  0xffff,  0xfff2,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x4fff,  0xffff,  0xfff2,
  0x6000,  0x0,  0x6,
  0x3fff,  0xffff,  0xfffc,
  0x0,  0x0,  0x0,

/* ----- plane # 4 ----- */

  0x7fff,  0xffff,  0xfffe,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xfce7,  0x9f9e,  0x667f,
  0xfc67,  0xf0e,  0x643f,
  0xfc27,  0xf0e,  0x643f,
  0xfc86,  0x6666,  0x67f,
  0xfcc6,  0x606,  0x667f,
  0xfce4,  0xf0f2,  0x67ff,
  0xfce4,  0xf0f2,  0x667f,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0x7fff,  0xffff,  0xfffe};

struct Image naahimageoff =
{
  0, 0,                                      /* left, top */
  48, 19, 5,                                 /* width, height, depth */
  &naahdataoff[0],                           /* image data (to update) */
  0x1f, 0x0,                                 /* plane pick, plane on/off */
  NULL                                       /* next image */
};

USHORT naahdataon[PEEKIMAGESIZE] =
{

/* ----- plane # 0 ----- */

  0x7fff,  0xffff,  0xfffe,
  0xffff,  0xffff,  0xffff,
  0xe000,  0x0,  0x7,
  0xcfff,  0xffff,  0xfff3,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xcfff,  0xffff,  0xfff3,
  0xe000,  0x0,  0x7,
  0xffff,  0xffff,  0xffff,
  0x7fff,  0xffff,  0xfffe,

/* ----- plane # 1 ----- */

  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0xfff,  0xffff,  0xfff0,
  0x1fff,  0xffff,  0xfff8,
  0x1fff,  0xffff,  0xfff8,
  0x1ce7,  0x9f9e,  0x6678,
  0x1c67,  0xf0e,  0x6438,
  0x1c27,  0xf0e,  0x6438,
  0x1c86,  0x6666,  0x678,
  0x1cc6,  0x606,  0x6678,
  0x1ce4,  0xf0f2,  0x67f8,
  0x1ce4,  0xf0f2,  0x6678,
  0x1fff,  0xffff,  0xfff8,
  0x1fff,  0xffff,  0xfff8,
  0xfff,  0xffff,  0xfff0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,

/* ----- plane # 2 ----- */

  0x8000,  0x0,  0x1,
  0x3fff,  0xffff,  0xfffc,
  0x6000,  0x0,  0x6,
  0x4000,  0x0,  0x2,
  0x4000,  0x0,  0x2,
  0x4000,  0x0,  0x2,
  0x4318,  0x6061,  0x9982,
  0x4398,  0xf0f1,  0x9bc2,
  0x43d8,  0xf0f1,  0x9bc2,
  0x4379,  0x9999,  0xf982,
  0x4339,  0xf9f9,  0x9982,
  0x431b,  0xf0d,  0x9802,
  0x431b,  0xf0d,  0x9982,
  0x4000,  0x0,  0x2,
  0x4000,  0x0,  0x2,
  0x4000,  0x0,  0x2,
  0x6000,  0x0,  0x6,
  0x3fff,  0xffff,  0xfffc,
  0x8000,  0x0,  0x1,

/* ----- plane # 3 ----- */

  0x0,  0x0,  0x0,
  0x3fff,  0xffff,  0xfffc,
  0x6000,  0x0,  0x6,
  0x4fff,  0xffff,  0xfff2,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x4fff,  0xffff,  0xfff2,
  0x6000,  0x0,  0x6,
  0x3fff,  0xffff,  0xfffc,
  0x0,  0x0,  0x0,

/* ----- plane # 4 ----- */

  0x7fff,  0xffff,  0xfffe,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xf000,  0x0,  0xf,
  0xe000,  0x0,  0x7,
  0xe000,  0x0,  0x7,
  0xe318,  0x6061,  0x9987,
  0xe398,  0xf0f1,  0x9bc7,
  0xe3d8,  0xf0f1,  0x9bc7,
  0xe379,  0x9999,  0xf987,
  0xe339,  0xf9f9,  0x9987,
  0xe31b,  0xf0d,  0x9807,
  0xe31b,  0xf0d,  0x9987,
  0xe000,  0x0,  0x7,
  0xe000,  0x0,  0x7,
  0xf000,  0x0,  0xf,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0x7fff,  0xffff,  0xfffe};

struct Image naahimageon =
{
  0, 0,                                      /* left, top */
  48, 19, 5,                                 /* width, height, depth */
  &naahdataon[0],                            /* image data (to update) */
  0x1f, 0x0,                                 /* plane pick, plane on/off */
  NULL                                       /* next image */
};

struct Gadget naahgadget =
{
  NULL,                                      /* next gadget */
  136, 46, 48, 19,                           /* left, top, width, height */
  GADGIMAGE | GADGHIMAGE,                    /* general flags */
  GADGIMMEDIATE | RELVERIFY | ENDGADGET,     /* activation flags */
  BOOLGADGET | REQGADGET,
  (APTR) &naahimageoff,                      /* pointer to primary image */
  (APTR) &naahimageon,                       /* pointer to selected image */
  NULL,                                      /* pointer to IntuiText */
  0L,                                        /* mutual exclude bit field */
  NULL,                                      /* no special info */
  1,                                         /* gadget ID */
  NULL                                       /* no known user data */
};

/* Now I work with the data for the YEAH! gadget... */

USHORT yeahdataoff[PEEKIMAGESIZE] =
{

/* ----- plane # 0 ----- */

  0x7fff,  0xffff,  0xfffe,
  0xffff,  0xffff,  0xffff,
  0xe000,  0x0,  0x7,
  0xcfff,  0xffff,  0xfff3,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xcfff,  0xffff,  0xfff3,
  0xe000,  0x0,  0x7,
  0xffff,  0xffff,  0xffff,
  0x7fff,  0xffff,  0xfffe,

/* ----- plane # 1 ----- */

  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x30f,  0xf861,  0x9980,
  0x30d,  0x98f1,  0x9bc0,
  0x199,  0x80f1,  0x9bc0,
  0xf1,  0xe199,  0xf980,
  0x61,  0x81f9,  0x9980,
  0x61,  0x9b0d,  0x9800,
  0xf3,  0xfb0d,  0x9980,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,

/* ----- plane # 2 ------ */

  0x8000,  0x0,  0x1,
  0x3fff,  0xffff,  0xfffc,
  0x6000,  0x0,  0x6,
  0x4fff,  0xffff,  0xfff2,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5cf0,  0x79e,  0x667a,
  0x5cf2,  0x670e,  0x643a,
  0x5e66,  0x7f0e,  0x643a,
  0x5f0e,  0x1e66,  0x67a,
  0x5f9e,  0x7e06,  0x667a,
  0x5f9e,  0x64f2,  0x67fa,
  0x5f0c,  0x4f2,  0x667a,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x4fff,  0xffff,  0xfff2,
  0x6000,  0x0,  0x6,
  0x3fff,  0xffff,  0xfffc,
  0x8000,  0x0,  0x1,

/* ----- plane # 3 ------ */

  0x0,  0x0,  0x0,
  0x3fff,  0xffff,  0xfffc,
  0x6000,  0x0,  0x6,
  0x4fff,  0xffff,  0xfff2,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x4fff,  0xffff,  0xfff2,
  0x6000,  0x0,  0x6,
  0x3fff,  0xffff,  0xfffc,
  0x0,  0x0,  0x0,

/* ------ plane # 4 ------ */

  0x7fff,  0xffff,  0xfffe,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xfcf0,  0x79e,  0x667f,
  0xfcf2,  0x670e,  0x643f,
  0xfe66,  0x7f0e,  0x643f,
  0xff0e,  0x1e66,  0x67f,
  0xff9e,  0x7e06,  0x667f,
  0xff9e,  0x64f2,  0x67ff,
  0xff0c,  0x4f2,  0x667f,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0x7fff,  0xffff,  0xfffe};

struct Image yeahimageoff =
{
  0, 0,                                      /* left, top */
  48, 19, 5,                                 /* width, height, depth */
  &yeahdataoff[0],                           /* image data (to update) */
  0x1f, 0x0,                                 /* plane pick, plane on/off */
  NULL                                       /* next image */
};

USHORT yeahdataon[PEEKIMAGESIZE] =
{

/* ----- plane # 0 ----- */

  0x7fff,  0xffff,  0xfffe,
  0xffff,  0xffff,  0xffff,
  0xe000,  0x0,  0x7,
  0xcfff,  0xffff,  0xfff3,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xcfff,  0xffff,  0xfff3,
  0xe000,  0x0,  0x7,
  0xffff,  0xffff,  0xffff,
  0x7fff,  0xffff,  0xfffe,

/* ----- plane # 1 ----- */

  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0xfff,  0xffff,  0xfff0,
  0x1fff,  0xffff,  0xfff8,
  0x1fff,  0xffff,  0xfff8,
  0x1cf0,  0x79e,  0x6678,
  0x1cf2,  0x670e,  0x6438,
  0x1e66,  0x7f0e,  0x6438,
  0x1f0e,  0x1e66,  0x678,
  0x1f9e,  0x7e06,  0x6678,
  0x1f9e,  0x64f2,  0x67f8,
  0x1f0c,  0x4f2,  0x6678,
  0x1fff,  0xffff,  0xfff8,
  0x1fff,  0xffff,  0xfff8,
  0xfff,  0xffff,  0xfff0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,

/* ----- plane # 2 */

  0x8000,  0x0,  0x1,
  0x3fff,  0xffff,  0xfffc,
  0x6000,  0x0,  0x6,
  0x4000,  0x0,  0x2,
  0x4000,  0x0,  0x2,
  0x4000,  0x0,  0x2,
  0x430f,  0xf861,  0x9982,
  0x430d,  0x98f1,  0x9bc2,
  0x4199,  0x80f1,  0x9bc2,
  0x40f1,  0xe199,  0xf982,
  0x4061,  0x81f9,  0x9982,
  0x4061,  0x9b0d,  0x9802,
  0x40f3,  0xfb0d,  0x9982,
  0x4000,  0x0,  0x2,
  0x4000,  0x0,  0x2,
  0x4000,  0x0,  0x2,
  0x6000,  0x0,  0x6,
  0x3fff,  0xffff,  0xfffc,
  0x8000,  0x0,  0x1,

/* ------ plane # 3 ------ */

  0x0,  0x0,  0x0,
  0x3fff,  0xffff,  0xfffc,
  0x6000,  0x0,  0x6,
  0x4fff,  0xffff,  0xfff2,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x4fff,  0xffff,  0xfff2,
  0x6000,  0x0,  0x6,
  0x3fff,  0xffff,  0xfffc,
  0x0,  0x0,  0x0,

/* ----- plane # 4 ------ */

  0x7fff,  0xffff,  0xfffe,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xf000,  0x0,  0xf,
  0xe000,  0x0,  0x7,
  0xe000,  0x0,  0x7,
  0xe30f,  0xf861,  0x9987,
  0xe30d,  0x98f1,  0x9bc7,
  0xe199,  0x80f1,  0x9bc7,
  0xe0f1,  0xe199,  0xf987,
  0xe061,  0x81f9,  0x9987,
  0xe061,  0x9b0d,  0x9807,
  0xe0f3,  0xfb0d,  0x9987,
  0xe000,  0x0,  0x7,
  0xe000,  0x0,  0x7,
  0xf000,  0x0,  0xf,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0x7fff,  0xffff,  0xfffe};

struct Image yeahimageon =
{
  0, 0,                                      /* left, top */
  48, 19, 5,                                 /* width, height, depth */
  &yeahdataon[0],                            /* image data (to update) */
  0x1f, 0x0,                                 /* plane pick, plane on/off */
  NULL                                       /* next image */
};

struct Gadget yeahgadget =
{
  &naahgadget,                               /* only gadget in list */
  8, 46, 48, 19,                             /* left, top, width, height */
  GADGIMAGE | GADGHIMAGE,                    /* general flags */
  GADGIMMEDIATE | RELVERIFY | ENDGADGET,     /* activation flags */
  BOOLGADGET | REQGADGET,
  (APTR) &yeahimageoff,                      /* pointer to primary image */
  (APTR) &yeahimageon,                       /* pointer to selected image */
  NULL,                                      /* pointer to IntuiText */
  0L,                                        /* mutual exclude bit field */
  NULL,                                      /* no special info */
  2,                                         /* gadget ID */
  NULL                                       /* no known user data */
};




USHORT clickdataoff[PEEKIMAGESIZE] =
{
  0x7fff,  0xffff,  0xfffe,
  0xffff,  0xffff,  0xffff,
  0xe000,  0x0,  0x7,
  0xcfff,  0xffff,  0xfff3,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xcfff,  0xffff,  0xfff3,
  0xe000,  0x0,  0x7,
  0xffff,  0xffff,  0xffff,
  0x7fff,  0xffff,  0xfffe,
/*  end of plane 0 */
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x1e7,  0x8fc7,  0x9cc0,
  0x333,  0x30c,  0xccc0,
  0x603,  0x318,  0xd80,
  0x603,  0x318,  0xf00,
  0x603,  0x318,  0xd80,
  0x333,  0x230c,  0xccc0,
  0x1e7,  0xefc7,  0x9cc0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
/*  end of plane 1 */
  0x8000,  0x0,  0x1,
  0x3fff,  0xffff,  0xfffc,
  0x6000,  0x0,  0x6,
  0x4fff,  0xffff,  0xfff2,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5e18,  0x7038,  0x633a,
  0x5ccc,  0xfcf3,  0x333a,
  0x59fc,  0xfce7,  0xf27a,
  0x59fc,  0xfce7,  0xf0fa,
  0x59fc,  0xfce7,  0xf27a,
  0x5ccc,  0xdcf3,  0x333a,
  0x5e18,  0x1038,  0x633a,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x4fff,  0xffff,  0xfff2,
  0x6000,  0x0,  0x6,
  0x3fff,  0xffff,  0xfffc,
  0x8000,  0x0,  0x1,
/*  end of plane 2 */
  0x0,  0x0,  0x0,
  0x3fff,  0xffff,  0xfffc,
  0x6000,  0x0,  0x6,
  0x4fff,  0xffff,  0xfff2,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x4fff,  0xffff,  0xfff2,
  0x6000,  0x0,  0x6,
  0x3fff,  0xffff,  0xfffc,
  0x0,  0x0,  0x0,
/*  end of plane 3 */
  0x7fff,  0xffff,  0xfffe,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xfe18,  0x7038,  0x633f,
  0xfccc,  0xfcf3,  0x333f,
  0xf9fc,  0xfce7,  0xf27f,
  0xf9fc,  0xfce7,  0xf0ff,
  0xf9fc,  0xfce7,  0xf27f,
  0xfccc,  0xdcf3,  0x333f,
  0xfe18,  0x1038,  0x633f,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0x7fff,  0xffff,  0xfffe,
/*  end of plane 4 */
};

struct Image clickimageoff =
{
  0, 0,               /* left, top */
  48, 19, 5,     /* width, height, depth */
  &clickdataoff[0],   /* image data */
  31, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

USHORT clickdataon[PEEKIMAGESIZE] =
{
  0x7fff,  0xffff,  0xfffe,
  0xffff,  0xffff,  0xffff,
  0xe000,  0x0,  0x7,
  0xcfff,  0xffff,  0xfff3,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xdfff,  0xffff,  0xfffb,
  0xcfff,  0xffff,  0xfff3,
  0xe000,  0x0,  0x7,
  0xffff,  0xffff,  0xffff,
  0x7fff,  0xffff,  0xfffe,
/*  end of plane 0 */
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0xfff,  0xffff,  0xfff0,
  0x1fff,  0xffff,  0xfff8,
  0x1fff,  0xffff,  0xfff8,
  0x1e18,  0x7038,  0x6338,
  0x1ccc,  0xfcf3,  0x3338,
  0x19fc,  0xfce7,  0xf278,
  0x19fc,  0xfce7,  0xf0f8,
  0x19fc,  0xfce7,  0xf278,
  0x1ccc,  0xdcf3,  0x3338,
  0x1e18,  0x1038,  0x6338,
  0x1fff,  0xffff,  0xfff8,
  0x1fff,  0xffff,  0xfff8,
  0xfff,  0xffff,  0xfff0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
  0x0,  0x0,  0x0,
/*  end of plane 1 */
  0x8000,  0x0,  0x1,
  0x3fff,  0xffff,  0xfffc,
  0x6000,  0x0,  0x6,
  0x4000,  0x0,  0x2,
  0x4000,  0x0,  0x2,
  0x4000,  0x0,  0x2,
  0x41e7,  0x8fc7,  0x9cc2,
  0x4333,  0x30c,  0xccc2,
  0x4603,  0x318,  0xd82,
  0x4603,  0x318,  0xf02,
  0x4603,  0x318,  0xd82,
  0x4333,  0x230c,  0xccc2,
  0x41e7,  0xefc7,  0x9cc2,
  0x4000,  0x0,  0x2,
  0x4000,  0x0,  0x2,
  0x4000,  0x0,  0x2,
  0x6000,  0x0,  0x6,
  0x3fff,  0xffff,  0xfffc,
  0x8000,  0x0,  0x1,
/*  end of plane 2 */
  0x0,  0x0,  0x0,
  0x3fff,  0xffff,  0xfffc,
  0x6000,  0x0,  0x6,
  0x4fff,  0xffff,  0xfff2,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x5fff,  0xffff,  0xfffa,
  0x4fff,  0xffff,  0xfff2,
  0x6000,  0x0,  0x6,
  0x3fff,  0xffff,  0xfffc,
  0x0,  0x0,  0x0,
/*  end of plane 3 */
  0x7fff,  0xffff,  0xfffe,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0xf000,  0x0,  0xf,
  0xe000,  0x0,  0x7,
  0xe000,  0x0,  0x7,
  0xe1e7,  0x8fc7,  0x9cc7,
  0xe333,  0x30c,  0xccc7,
  0xe603,  0x318,  0xd87,
  0xe603,  0x318,  0xf07,
  0xe603,  0x318,  0xd87,
  0xe333,  0x230c,  0xccc7,
  0xe1e7,  0xefc7,  0x9cc7,
  0xe000,  0x0,  0x7,
  0xe000,  0x0,  0x7,
  0xf000,  0x0,  0xf,
  0xffff,  0xffff,  0xffff,
  0xffff,  0xffff,  0xffff,
  0x7fff,  0xffff,  0xfffe,
/*  end of plane 4 */
};

struct Image clickimageon =
{
  0, 0,               /* left, top */
  48, 19, 5,     /* width, height, depth */
  &clickdataon[0],   /* image data */
  31, 0x0,       /* plane pick, plane on/off */
  NULL              /* next image */
};

struct Gadget clickgadget =
{
  NULL, /* only gadget in list */
  136, 46, 48, 19, /* left, top, width, height */
  GADGIMAGE | GADGHIMAGE,  /* general flags */
  GADGIMMEDIATE | RELVERIFY | ENDGADGET,  /* activation flags */ 
  BOOLGADGET | REQGADGET,
  (APTR) &clickimageoff, /* pointer to primary image */
  (APTR) &clickimageon, /* pointer to selected image */
  NULL,  /* pointer to IntuiText */
  0L,    /* mutual exclude bit field */
  NULL,  /* no special info for a boolean gadget */
  3,    /* gadget ID */
  NULL  /* no known user data */
};

