/*                             mycards.c                                */
/*                                                                      */
/* Okay, these are the data for all the cards...                        */
/* DEPTH: 5, WIDTH: 32 (29) HIGH: 39                                    */
/*                                                                      */
/* To be compiled using lc -b -r -v mycards                             */

#include <exec/types.h>
#include <intuition/intuition.h>
#include "mydefines.h"




/* This is card # 0: The back of each card                              */

/*------ plane # 0 --------*/

USHORT mycards[ARRAYSIZE] = {
  0x7FFF,   0xFFF0, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9A22,   0x22C8, 
  0x9555,   0x5548, 
  0x9888,   0x88C8, 
  0x9555,   0x5548, 
  0x9222,   0x2248, 
  0x9555,   0x5548, 
  0x9888,   0x88C8, 
  0x9555,   0x5548, 
  0x9222,   0x2248, 
  0x9555,   0x5548, 
  0x9888,   0x88C8, 
  0x9555,   0x5548, 
  0x9222,   0x2248, 
  0x9555,   0x5548, 
  0x9888,   0x88C8, 
  0x9555,   0x5548, 
  0x9222,   0x2248, 
  0x9555,   0x5548, 
  0x9888,   0x88C8, 
  0x9555,   0x5548, 
  0x9222,   0x2248, 
  0x9555,   0x5548, 
  0x9888,   0x88C8, 
  0x9555,   0x5548, 
  0x9222,   0x2248, 
  0x9555,   0x5548, 
  0x9888,   0x88C8, 
  0x9555,   0x5548, 
  0x9222,   0x2248, 
  0x9555,   0x5548, 
  0x9888,   0x88C8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0x7FFF,   0xFFF8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9A22,   0x22C8, 
  0x9555,   0x5548, 
  0x9888,   0x88C8, 
  0x9555,   0x5548, 
  0x9222,   0x2248, 
  0x9555,   0x5548, 
  0x9888,   0x88C8, 
  0x9555,   0x5548, 
  0x9222,   0x2248, 
  0x9555,   0x5548, 
  0x9888,   0x88C8, 
  0x9555,   0x5548, 
  0x9222,   0x2248, 
  0x9555,   0x5548, 
  0x9888,   0x88C8, 
  0x9555,   0x5548, 
  0x9222,   0x2248, 
  0x9555,   0x5548, 
  0x9888,   0x88C8, 
  0x9555,   0x5548, 
  0x9222,   0x2248, 
  0x9555,   0x5548, 
  0x9888,   0x88C8, 
  0x9555,   0x5548, 
  0x9222,   0x2248, 
  0x9555,   0x5548, 
  0x9888,   0x88C8, 
  0x9555,   0x5548, 
  0x9222,   0x2248, 
  0x9555,   0x5548, 
  0x9888,   0x88C8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,



/* Card # 1 */

/*------ plane # 0: --------*/

  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x0, 
  0xFFF,   0xFF80, 
  0x1800,   0xC0, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x13FF,   0xFE40, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x1200,   0x240, 
  0x13FF,   0xFE40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1800,   0xC0, 
  0xFFF,   0xFF80, 
  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9800,   0xC8, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x93FF,   0xFE48, 
  0x93F7,   0xF648, 
  0x93E3,   0xE248, 
  0x93C1,   0xC248, 
  0x93FF,   0xFE48, 
  0x937F,   0x7E48, 
  0x923E,   0x3E48, 
  0x921C,   0x1E48, 
  0x93FF,   0xFE48, 
  0x93F7,   0xF648, 
  0x93E3,   0xE248, 
  0x93C1,   0xC248, 
  0x93FF,   0xFE48, 
  0x937F,   0x7E48, 
  0x923E,   0x3E48, 
  0x921C,   0x1E48, 
  0x93FF,   0xFE48, 
  0x93F7,   0xF648, 
  0x93E3,   0xE248, 
  0x93C1,   0xC248, 
  0x93FF,   0xFE48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9800,   0xC8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0x8000,   0x8, 
  0x3FFF,   0xFFE0, 
  0x7FFF,   0xFFF0, 
  0x7000,   0x70, 
  0x67FF,   0xFF30, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6C00,   0x1B0, 
  0x6C08,   0x9B0, 
  0x6C1C,   0x1DB0, 
  0x6C3E,   0x3DB0, 
  0x6C00,   0x1B0, 
  0x6C80,   0x81B0, 
  0x6DC1,   0xC1B0, 
  0x6DE3,   0xE1B0, 
  0x6C00,   0x1B0, 
  0x6C08,   0x9B0, 
  0x6C1C,   0x1DB0, 
  0x6C3E,   0x3DB0, 
  0x6C00,   0x1B0, 
  0x6C80,   0x81B0, 
  0x6DC1,   0xC1B0, 
  0x6DE3,   0xE1B0, 
  0x6C00,   0x1B0, 
  0x6C08,   0x9B0, 
  0x6C1C,   0x1DB0, 
  0x6C3E,   0x3DB0, 
  0x6C00,   0x1B0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x67FF,   0xFF30, 
  0x7000,   0x70, 
  0x7FFF,   0xFFF0, 
  0x3FFF,   0xFFE0, 
  0x8000,   0x8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,



/* Card # 2 /

/*------ plane # 0: --------*/

  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x0, 
  0xFFF,   0xFF80, 
  0x1800,   0xC0, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x10EE,   0xEC40, 
  0x1077,   0x7440, 
  0x11BB,   0xB840, 
  0x11DD,   0xDC40, 
  0x10EE,   0xEC40, 
  0x1177,   0x7440, 
  0x11BB,   0xB840, 
  0x11DD,   0xDC40, 
  0x10EE,   0xEC40, 
  0x1177,   0x7440, 
  0x11BB,   0xB840, 
  0x11DD,   0xDC40, 
  0x10EE,   0xEC40, 
  0x1177,   0x7440, 
  0x11BB,   0xB840, 
  0x11DD,   0xDC40, 
  0x10EE,   0xEC40, 
  0x1177,   0x7440, 
  0x11BB,   0xB840, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1800,   0xC0, 
  0xFFF,   0xFF80, 
  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9800,   0xC8, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x90E0,   0xE048, 
  0x9070,   0x7048, 
  0x9038,   0x3848, 
  0x901C,   0x1C48, 
  0x900E,   0xC48, 
  0x9107,   0x448, 
  0x9183,   0x8048, 
  0x91C1,   0xC048, 
  0x90E0,   0xE048, 
  0x9070,   0x7048, 
  0x9038,   0x3848, 
  0x901C,   0x1C48, 
  0x900E,   0xC48, 
  0x9107,   0x448, 
  0x9183,   0x8048, 
  0x91C1,   0xC048, 
  0x90E0,   0xE048, 
  0x9070,   0x7048, 
  0x9038,   0x3848, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9800,   0xC8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0x8000,   0x8, 
  0x3FFF,   0xFFE0, 
  0x7FFF,   0xFFF0, 
  0x7000,   0x70, 
  0x67FF,   0xFF30, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x67FF,   0xFF30, 
  0x7000,   0x70, 
  0x7FFF,   0xFFF0, 
  0x3FFF,   0xFFE0, 
  0x8000,   0x8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFCE0,   0xE1F8, 
  0xFC70,   0x71F8, 
  0xFC38,   0x39F8, 
  0xFC1C,   0x1DF8, 
  0xFC0E,   0xDF8, 
  0xFD07,   0x5F8, 
  0xFD83,   0x81F8, 
  0xFDC1,   0xC1F8, 
  0xFCE0,   0xE1F8, 
  0xFC70,   0x71F8, 
  0xFC38,   0x39F8, 
  0xFC1C,   0x1DF8, 
  0xFC0E,   0xDF8, 
  0xFD07,   0x5F8, 
  0xFD83,   0x81F8, 
  0xFDC1,   0xC1F8, 
  0xFCE0,   0xE1F8, 
  0xFC70,   0x71F8, 
  0xFC38,   0x39F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,



/* Card # 3 */

/*------ plane # 0: --------*/

  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x0, 
  0xFFF,   0xFF80, 
  0x1800,   0xC0, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x13FF,   0xFE40, 
  0x1244,   0x4640, 
  0x1288,   0x8A40, 
  0x1311,   0x1240, 
  0x1222,   0x2240, 
  0x1244,   0x4640, 
  0x1288,   0x8A40, 
  0x1311,   0x1240, 
  0x1222,   0x2240, 
  0x1244,   0x4640, 
  0x1288,   0x8A40, 
  0x1311,   0x1240, 
  0x1222,   0x2240, 
  0x1244,   0x4640, 
  0x1288,   0x8A40, 
  0x1311,   0x1240, 
  0x1222,   0x2240, 
  0x1244,   0x4640, 
  0x1288,   0x8A40, 
  0x1311,   0x1240, 
  0x13FF,   0xFE40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1800,   0xC0, 
  0xFFF,   0xFF80, 
  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9800,   0xC8, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x93FF,   0xFE48, 
  0x93C7,   0xC648, 
  0x938F,   0x8E48, 
  0x931F,   0x1E48, 
  0x923E,   0x3E48, 
  0x927C,   0x7E48, 
  0x92F8,   0xFA48, 
  0x93F1,   0xF248, 
  0x93E3,   0xE248, 
  0x93C7,   0xC648, 
  0x938F,   0x8E48, 
  0x931F,   0x1E48, 
  0x923E,   0x3E48, 
  0x927C,   0x7E48, 
  0x92F8,   0xFA48, 
  0x93F1,   0xF248, 
  0x93E3,   0xE248, 
  0x93C7,   0xC648, 
  0x938F,   0x8E48, 
  0x931F,   0x1E48, 
  0x93FF,   0xFE48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9800,   0xC8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0x8000,   0x8, 
  0x3FFF,   0xFFE0, 
  0x7FFF,   0xFFF0, 
  0x7000,   0x70, 
  0x67FF,   0xFF30, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FC7,   0xC7B0, 
  0x6F8F,   0x8FB0, 
  0x6F1F,   0x1FB0, 
  0x6E3E,   0x3FB0, 
  0x6E7C,   0x7FB0, 
  0x6EF8,   0xFBB0, 
  0x6FF1,   0xF3B0, 
  0x6FE3,   0xE3B0, 
  0x6FC7,   0xC7B0, 
  0x6F8F,   0x8FB0, 
  0x6F1F,   0x1FB0, 
  0x6E3E,   0x3FB0, 
  0x6E7C,   0x7FB0, 
  0x6EF8,   0xFBB0, 
  0x6FF1,   0xF3B0, 
  0x6FE3,   0xE3B0, 
  0x6FC7,   0xC7B0, 
  0x6F8F,   0x8FB0, 
  0x6F1F,   0x1FB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x67FF,   0xFF30, 
  0x7000,   0x70, 
  0x7FFF,   0xFFF0, 
  0x3FFF,   0xFFE0, 
  0x8000,   0x8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC38,   0x39F8, 
  0xFC70,   0x71F8, 
  0xFCE0,   0xE1F8, 
  0xFDC1,   0xC1F8, 
  0xFD83,   0x81F8, 
  0xFD07,   0x5F8, 
  0xFC0E,   0xDF8, 
  0xFC1C,   0x1DF8, 
  0xFC38,   0x39F8, 
  0xFC70,   0x71F8, 
  0xFCE0,   0xE1F8, 
  0xFDC1,   0xC1F8, 
  0xFD83,   0x81F8, 
  0xFD07,   0x5F8, 
  0xFC0E,   0xDF8, 
  0xFC1C,   0x1DF8, 
  0xFC38,   0x39F8, 
  0xFC70,   0x71F8, 
  0xFCE0,   0xE1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,


/* Card # 4 */

/*------ plane # 0: --------*/

  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x0, 
  0xFFF,   0xFF80, 
  0x1800,   0xC0, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x11B6,   0xD840, 
  0x111C,   0x7040, 
  0x11B6,   0xD840, 
  0x10E3,   0x8C40, 
  0x11B6,   0xD840, 
  0x111C,   0x7040, 
  0x11B6,   0xD840, 
  0x10E3,   0x8C40, 
  0x11B6,   0xD840, 
  0x111C,   0x7040, 
  0x11B6,   0xD840, 
  0x10E3,   0x8C40, 
  0x11B6,   0xD840, 
  0x111C,   0x7040, 
  0x11B6,   0xD840, 
  0x10E3,   0x8C40, 
  0x11B6,   0xD840, 
  0x111C,   0x7040, 
  0x11B6,   0xD840, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1800,   0xC0, 
  0xFFF,   0xFF80, 
  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9800,   0xC8, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x93FF,   0xFE48, 
  0x9249,   0x2648, 
  0x92E3,   0x8E48, 
  0x9249,   0x2648, 
  0x931C,   0x7248, 
  0x9249,   0x2648, 
  0x92E3,   0x8E48, 
  0x9249,   0x2648, 
  0x931C,   0x7248, 
  0x9249,   0x2648, 
  0x92E3,   0x8E48, 
  0x9249,   0x2648, 
  0x931C,   0x7248, 
  0x9249,   0x2648, 
  0x92E3,   0x8E48, 
  0x9249,   0x2648, 
  0x931C,   0x7248, 
  0x9249,   0x2648, 
  0x92E3,   0x8E48, 
  0x9249,   0x2648, 
  0x93FF,   0xFE48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9800,   0xC8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0x8000,   0x8, 
  0x3FFF,   0xFFE0, 
  0x7FFF,   0xFFF0, 
  0x7000,   0x70, 
  0x67FF,   0xFF30, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x67FF,   0xFF30, 
  0x7000,   0x70, 
  0x7FFF,   0xFFF0, 
  0x3FFF,   0xFFE0, 
  0x8000,   0x8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,



/* Card # 5 */

/*------ plane # 0: --------*/

  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x0, 
  0xFFF,   0xFF80, 
  0x1800,   0xC0, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x13FF,   0xFE40, 
  0x1399,   0x9A40, 
  0x1399,   0x9A40, 
  0x1266,   0x6640, 
  0x1266,   0x6640, 
  0x1399,   0x9A40, 
  0x1399,   0x9A40, 
  0x1266,   0x6640, 
  0x1266,   0x6640, 
  0x1399,   0x9A40, 
  0x1399,   0x9A40, 
  0x1266,   0x6640, 
  0x1266,   0x6640, 
  0x1399,   0x9A40, 
  0x1399,   0x9A40, 
  0x1266,   0x6640, 
  0x1266,   0x6640, 
  0x1399,   0x9A40, 
  0x1399,   0x9A40, 
  0x1266,   0x6640, 
  0x13FF,   0xFE40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1800,   0xC0, 
  0xFFF,   0xFF80, 
  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9800,   0xC8, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9800,   0xC8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0x8000,   0x8, 
  0x3FFF,   0xFFE0, 
  0x7FFF,   0xFFF0, 
  0x7000,   0x70, 
  0x67FF,   0xFF30, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6C00,   0x1B0, 
  0x6D99,   0x99B0, 
  0x6D99,   0x99B0, 
  0x6C66,   0x65B0, 
  0x6C66,   0x65B0, 
  0x6D99,   0x99B0, 
  0x6D99,   0x99B0, 
  0x6C66,   0x65B0, 
  0x6C66,   0x65B0, 
  0x6D99,   0x99B0, 
  0x6D99,   0x99B0, 
  0x6C66,   0x65B0, 
  0x6C66,   0x65B0, 
  0x6D99,   0x99B0, 
  0x6D99,   0x99B0, 
  0x6C66,   0x65B0, 
  0x6C66,   0x65B0, 
  0x6D99,   0x99B0, 
  0x6D99,   0x99B0, 
  0x6C66,   0x65B0, 
  0x6C00,   0x1B0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x67FF,   0xFF30, 
  0x7000,   0x70, 
  0x7FFF,   0xFFF0, 
  0x3FFF,   0xFFE0, 
  0x8000,   0x8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,



/* Card # 6 */

/*------ plane # 0: --------*/

  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x0, 
  0xFFF,   0xFF80, 
  0x1800,   0xC0, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1800,   0xC0, 
  0xFFF,   0xFF80, 
  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9800,   0xC8, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9800,   0xC8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0x8000,   0x8, 
  0x3FFF,   0xFFE0, 
  0x7FFF,   0xFFF0, 
  0x7000,   0x70, 
  0x67FF,   0xFF30, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6F77,   0x77B0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FDD,   0xDFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6F77,   0x77B0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FDD,   0xDFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6F77,   0x77B0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FDD,   0xDFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x67FF,   0xFF30, 
  0x7000,   0x70, 
  0x7FFF,   0xFFF0, 
  0x3FFF,   0xFFE0, 
  0x8000,   0x8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFF77,   0x77F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFDD,   0xDFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFF77,   0x77F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFDD,   0xDFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFF77,   0x77F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFDD,   0xDFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC88,   0x89F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC22,   0x21F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC88,   0x89F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC22,   0x21F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC88,   0x89F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC22,   0x21F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,



/* Card # 7 */

/*------ plane # 0: --------*/

  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x0, 
  0xFFF,   0xFF80, 
  0x1800,   0xC0, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x11E1,   0xF840, 
  0x11E1,   0xF840, 
  0x11F3,   0xFC40, 
  0x11FF,   0xFC40, 
  0x107F,   0x9C40, 
  0x103F,   0xC40, 
  0x103F,   0xC40, 
  0x107F,   0x9C40, 
  0x11FF,   0xFC40, 
  0x11F3,   0xFC40, 
  0x11E1,   0xF840, 
  0x11E1,   0xF840, 
  0x11F3,   0xFC40, 
  0x11FF,   0xFC40, 
  0x107F,   0x9C40, 
  0x103F,   0xC40, 
  0x103F,   0xC40, 
  0x107F,   0x9C40, 
  0x11FF,   0xFC40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1800,   0xC0, 
  0xFFF,   0xFF80, 
  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9800,   0xC8, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x93FF,   0xFE48, 
  0x93E1,   0xFA48, 
  0x93E1,   0xFA48, 
  0x93F3,   0xFE48, 
  0x93FF,   0xFE48, 
  0x927F,   0x9E48, 
  0x923F,   0xE48, 
  0x923F,   0xE48, 
  0x927F,   0x9E48, 
  0x93FF,   0xFE48, 
  0x93F3,   0xFE48, 
  0x93E1,   0xFA48, 
  0x93E1,   0xFA48, 
  0x93F3,   0xFE48, 
  0x93FF,   0xFE48, 
  0x927F,   0x9E48, 
  0x923F,   0xE48, 
  0x923F,   0xE48, 
  0x927F,   0x9E48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9800,   0xC8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0x8000,   0x8, 
  0x3FFF,   0xFFE0, 
  0x7FFF,   0xFFF0, 
  0x7000,   0x70, 
  0x67FF,   0xFF30, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x67FF,   0xFF30, 
  0x7000,   0x70, 
  0x7FFF,   0xFFF0, 
  0x3FFF,   0xFFE0, 
  0x8000,   0x8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFE1,   0xFBF8, 
  0xFFE1,   0xFBF8, 
  0xFFF3,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFE7F,   0x9FF8, 
  0xFE3F,   0xFF8, 
  0xFE3F,   0xFF8, 
  0xFE7F,   0x9FF8, 
  0xFFFF,   0xFFF8, 
  0xFFF3,   0xFFF8, 
  0xFFE1,   0xFBF8, 
  0xFFE1,   0xFBF8, 
  0xFFF3,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFE7F,   0x9FF8, 
  0xFE3F,   0xFF8, 
  0xFE3F,   0xFF8, 
  0xFE7F,   0x9FF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,



/* Card # 8 */

/*------ plane # 0: --------*/

  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x0, 
  0xFFF,   0xFF80, 
  0x1800,   0xC0, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x13FF,   0xFE40, 
  0x12AA,   0xAA40, 
  0x13DD,   0xDE40, 
  0x12AA,   0xAA40, 
  0x1377,   0x7640, 
  0x12AA,   0xAA40, 
  0x13DD,   0xDE40, 
  0x12AA,   0xAA40, 
  0x1377,   0x7640, 
  0x12AA,   0xAA40, 
  0x13DD,   0xD640, 
  0x12AA,   0xAA40, 
  0x1377,   0x7640, 
  0x12AA,   0xAA40, 
  0x13DD,   0xDE40, 
  0x12AA,   0xAA40, 
  0x1377,   0x7640, 
  0x12AA,   0xAA40, 
  0x13DD,   0xDE40, 
  0x12AA,   0xAA40, 
  0x13FF,   0xFE40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1800,   0xC0, 
  0xFFF,   0xFF80, 
  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9800,   0xC8, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x93FF,   0xFE48, 
  0x92AA,   0xAA48, 
  0x93DD,   0xDE48, 
  0x92AA,   0xAA48, 
  0x9377,   0x7648, 
  0x92AA,   0xAA48, 
  0x93DD,   0xDE48, 
  0x92AA,   0xAA48, 
  0x9377,   0x7648, 
  0x92AA,   0xAA48, 
  0x93DD,   0xD648, 
  0x92AA,   0xAA48, 
  0x9377,   0x7648, 
  0x92AA,   0xAA48, 
  0x93DD,   0xDE48, 
  0x92AE,   0xAA48, 
  0x9377,   0x7648, 
  0x92AA,   0xAA48, 
  0x93DD,   0xDE48, 
  0x92AA,   0xAA48, 
  0x93FF,   0xFE48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9800,   0xC8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0x8000,   0x8, 
  0x3FFF,   0xFFE0, 
  0x7FFF,   0xFFF0, 
  0x7000,   0x70, 
  0x67FF,   0xFF30, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6EAA,   0xABB0, 
  0x6FDD,   0xDFB0, 
  0x6EAA,   0xABB0, 
  0x6F77,   0x77B0, 
  0x6EAA,   0xABB0, 
  0x6FDD,   0xDFB0, 
  0x6EAA,   0xABB0, 
  0x6F77,   0x77B0, 
  0x6EAA,   0xABB0, 
  0x6FDD,   0xD7B0, 
  0x6EAA,   0xABB0, 
  0x6F77,   0x77B0, 
  0x6EAA,   0xABB0, 
  0x6FDD,   0xDFB0, 
  0x6EAE,   0xABB0, 
  0x6F77,   0x77B0, 
  0x6EAA,   0xABB0, 
  0x6FDD,   0xDFB0, 
  0x6EAA,   0xABB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x67FF,   0xFF30, 
  0x7000,   0x70, 
  0x7FFF,   0xFFF0, 
  0x3FFF,   0xFFE0, 
  0x8000,   0x8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFD55,   0x55F8, 
  0xFC22,   0x21F8, 
  0xFD55,   0x55F8, 
  0xFC88,   0x89F8, 
  0xFD55,   0x55F8, 
  0xFC22,   0x21F8, 
  0xFD55,   0x55F8, 
  0xFC88,   0x89F8, 
  0xFD55,   0x55F8, 
  0xFC22,   0x29F8, 
  0xFD55,   0x55F8, 
  0xFC88,   0x89F8, 
  0xFD55,   0x55F8, 
  0xFC22,   0x21F8, 
  0xFD51,   0x55F8, 
  0xFC88,   0x89F8, 
  0xFD55,   0x55F8, 
  0xFC22,   0x21F8, 
  0xFD55,   0x55F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,



/* Card # 9 */

/*------ plane # 0: --------*/

  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x0, 
  0xFFF,   0xFF80, 
  0x1800,   0xC0, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x13FF,   0xFE40, 
  0x1200,   0x240, 
  0x12EE,   0xEE40, 
  0x1244,   0x4640, 
  0x1311,   0x1240, 
  0x13BB,   0xBA40, 
  0x1200,   0x240, 
  0x12EE,   0xEE40, 
  0x1244,   0x4640, 
  0x1311,   0x1240, 
  0x13BB,   0xBA40, 
  0x1200,   0x240, 
  0x12EE,   0xEE40, 
  0x1244,   0x4640, 
  0x1311,   0x1240, 
  0x13BB,   0xBA40, 
  0x1200,   0x240, 
  0x12EE,   0xEE40, 
  0x1244,   0x4640, 
  0x1200,   0x240, 
  0x13FF,   0xFE40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1800,   0xC0, 
  0xFFF,   0xFF80, 
  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9800,   0xC8, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9800,   0xC8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0x8000,   0x8, 
  0x3FFF,   0xFFE0, 
  0x7FFF,   0xFFF0, 
  0x7000,   0x70, 
  0x67FF,   0xFF30, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6C00,   0x1B0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6DFF,   0xFDB0, 
  0x6C00,   0x1B0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x67FF,   0xFF30, 
  0x7000,   0x70, 
  0x7FFF,   0xFFF0, 
  0x3FFF,   0xFFE0, 
  0x8000,   0x8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,



/* Card # 10 */

/*------ plane # 0: --------*/

  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x0, 
  0xFFF,   0xFF80, 
  0x1800,   0xC0, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1048,   0x8840, 
  0x1091,   0x1040, 
  0x1000,   0x40, 
  0x1044,   0x4440, 
  0x1088,   0x8840, 
  0x1111,   0x1040, 
  0x1000,   0x40, 
  0x1044,   0x4440, 
  0x1088,   0x8840, 
  0x1111,   0x1040, 
  0x1000,   0x40, 
  0x1044,   0x4440, 
  0x1088,   0x8840, 
  0x1111,   0x1040, 
  0x1000,   0x40, 
  0x1044,   0x4440, 
  0x1088,   0x8840, 
  0x1111,   0x1040, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1800,   0xC0, 
  0xFFF,   0xFF80, 
  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9800,   0xC8, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x91FF,   0xFC48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9800,   0xC8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0x8000,   0x8, 
  0x3FFF,   0xFFE0, 
  0x7FFF,   0xFFF0, 
  0x7000,   0x70, 
  0x67FF,   0xFF30, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x67FF,   0xFF30, 
  0x7000,   0x70, 
  0x7FFF,   0xFFF0, 
  0x3FFF,   0xFFE0, 
  0x8000,   0x8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,



/* Card # 11 */

/*------ plane # 0: --------*/

  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x0, 
  0xFFF,   0xFF80, 
  0x1800,   0xC0, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x11FF,   0xFC40, 
  0x1000,   0x40, 
  0x11FF,   0xFC40, 
  0x1000,   0x40, 
  0x11FF,   0xFC40, 
  0x1000,   0x40, 
  0x11FF,   0xFC40, 
  0x1000,   0x40, 
  0x11FF,   0xFC40, 
  0x1000,   0x40, 
  0x11FF,   0xFC40, 
  0x1000,   0x40, 
  0x11FF,   0xFC40, 
  0x1000,   0x40, 
  0x11FF,   0xFC40, 
  0x1000,   0x40, 
  0x11FF,   0xFC40, 
  0x1000,   0x40, 
  0x11FF,   0xFC40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1800,   0xC0, 
  0xFFF,   0xFF80, 
  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9800,   0xC8, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x93FF,   0xFE48, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x93FF,   0xFE48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9800,   0xC8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0x8000,   0x8, 
  0x3FFF,   0xFFE0, 
  0x7FFF,   0xFFF0, 
  0x7000,   0x70, 
  0x67FF,   0xFF30, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x67FF,   0xFF30, 
  0x7000,   0x70, 
  0x7FFF,   0xFFF0, 
  0x3FFF,   0xFFE0, 
  0x8000,   0x8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFE00,   0x3F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,



/* Card # 12 */

/*------ plane # 0: --------*/

  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x0, 
  0xFFF,   0xFF80, 
  0x1800,   0xC0, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x13FF,   0xFE40, 
  0x1200,   0x240, 
  0x13DD,   0xDE40, 
  0x1200,   0x240, 
  0x1377,   0x7640, 
  0x1200,   0x240, 
  0x13DD,   0xDE40, 
  0x1200,   0x240, 
  0x1377,   0x7640, 
  0x1200,   0x240, 
  0x13DD,   0xDE40, 
  0x1200,   0x240, 
  0x1377,   0x7640, 
  0x1200,   0x240, 
  0x13DD,   0xDE40, 
  0x1200,   0x240, 
  0x1377,   0x7640, 
  0x1200,   0x240, 
  0x13DD,   0xDE40, 
  0x1200,   0x240, 
  0x13FF,   0xFE40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1800,   0xC0, 
  0xFFF,   0xFF80, 
  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9800,   0xC8, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x93FF,   0xFE48, 
  0x9200,   0x248, 
  0x93DD,   0xDE48, 
  0x9200,   0x248, 
  0x9377,   0x7648, 
  0x9200,   0x248, 
  0x93DD,   0xDE48, 
  0x9200,   0x248, 
  0x9377,   0x7648, 
  0x9200,   0x248, 
  0x93DD,   0xDE48, 
  0x9200,   0x248, 
  0x9377,   0x7648, 
  0x9200,   0x248, 
  0x93DD,   0xDE48, 
  0x9200,   0x248, 
  0x9377,   0x7648, 
  0x9200,   0x248, 
  0x93DD,   0xDE48, 
  0x9200,   0x248, 
  0x93FF,   0xFE48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9800,   0xC8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0x8000,   0x8, 
  0x3FFF,   0xFFE0, 
  0x7FFF,   0xFFF0, 
  0x7000,   0x70, 
  0x67FF,   0xFF30, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6E00,   0x3B0, 
  0x6FDD,   0xDFB0, 
  0x6E00,   0x3B0, 
  0x6F77,   0x77B0, 
  0x6E00,   0x3B0, 
  0x6FDD,   0xDFB0, 
  0x6E00,   0x3B0, 
  0x6F77,   0x77B0, 
  0x6E00,   0x3B0, 
  0x6FDD,   0xDFB0, 
  0x6E00,   0x3B0, 
  0x6F77,   0x77B0, 
  0x6E00,   0x3B0, 
  0x6FDD,   0xDFB0, 
  0x6E00,   0x3B0, 
  0x6F77,   0x77B0, 
  0x6E00,   0x3B0, 
  0x6FDD,   0xDFB0, 
  0x6E00,   0x3B0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x67FF,   0xFF30, 
  0x7000,   0x70, 
  0x7FFF,   0xFFF0, 
  0x3FFF,   0xFFE0, 
  0x8000,   0x8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFDFF,   0xFDF8, 
  0xFC22,   0x21F8, 
  0xFDFF,   0xFDF8, 
  0xFC88,   0x89F8, 
  0xFDFF,   0xFDF8, 
  0xFC22,   0x21F8, 
  0xFDFF,   0xFDF8, 
  0xFC88,   0x89F8, 
  0xFDFF,   0xFDF8, 
  0xFC22,   0x21F8, 
  0xFDFF,   0xFDF8, 
  0xFC88,   0x89F8, 
  0xFDFF,   0xFDF8, 
  0xFC22,   0x21F8, 
  0xFDFF,   0xFDF8, 
  0xFC88,   0x89F8, 
  0xFDFF,   0xFDF8, 
  0xFC22,   0x21F8, 
  0xFDFF,   0xFDF8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,



/* Card # 13 */

/*------ plane # 0: --------*/

  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x0, 
  0xFFF,   0xFF80, 
  0x1800,   0xC0, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x13FF,   0xFE40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x12AA,   0xAA40, 
  0x13FF,   0xFE40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x48, 
  0x1000,   0x40, 
  0x1800,   0xC0, 
  0xFFF,   0xFF80, 
  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9800,   0xC8, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9800,   0xC8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0x8000,   0x8, 
  0x3FFF,   0xFFE0, 
  0x7FFF,   0xFFF0, 
  0x7000,   0x70, 
  0x67FF,   0xFF30, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6C00,   0x1B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6CAA,   0xA9B0, 
  0x6C00,   0x1B0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB8, 
  0x6FFF,   0xFFB0, 
  0x67FF,   0xFF30, 
  0x7000,   0x70, 
  0x7FFF,   0xFFF0, 
  0x3FFF,   0xFFE0, 
  0x8000,   0x8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,



/* Card # 14 */

/*------ plane # 0: --------*/

  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x0, 
  0xFFF,   0xFF80, 
  0x1800,   0xC0, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x11FF,   0xFC40, 
  0x116D,   0xB440, 
  0x11FF,   0xFC40, 
  0x1192,   0x4C40, 
  0x11FF,   0xFC40, 
  0x116D,   0xB440, 
  0x11FF,   0xFC40, 
  0x1192,   0x4C40, 
  0x11FF,   0xFC40, 
  0x116D,   0xB440, 
  0x11FF,   0xFC40, 
  0x1192,   0x4C40, 
  0x11FF,   0xFC40, 
  0x116D,   0xB440, 
  0x11FF,   0xFC40, 
  0x1192,   0x4C40, 
  0x11FF,   0xFC40, 
  0x116D,   0xB440, 
  0x11FF,   0xFC40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1800,   0xC0, 
  0xFFF,   0xFF80, 
  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9800,   0xC8, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x936D,   0xB648, 
  0x93FF,   0xFE48, 
  0x9392,   0x4E48, 
  0x93FF,   0xFE48, 
  0x936D,   0xB648, 
  0x93FF,   0xFE48, 
  0x9392,   0x4E48, 
  0x93FF,   0xFE48, 
  0x936D,   0xB648, 
  0x93FF,   0xFE48, 
  0x9392,   0x4E48, 
  0x93FF,   0xFE48, 
  0x936D,   0xB648, 
  0x93FF,   0xFE48, 
  0x9392,   0x4E48, 
  0x93FF,   0xFE48, 
  0x936D,   0xB648, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9800,   0xC8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0x8000,   0x8, 
  0x3FFF,   0xFFE0, 
  0x7FFF,   0xFFF0, 
  0x7000,   0x70, 
  0x67FF,   0xFF30, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6F6D,   0xB7B0, 
  0x6FFF,   0xFFB0, 
  0x6F92,   0x4FB0, 
  0x6FFF,   0xFFB0, 
  0x6F6D,   0xB7B0, 
  0x6FFF,   0xFFB0, 
  0x6F92,   0x4FB0, 
  0x6FFF,   0xFFB0, 
  0x6F6D,   0xB7B0, 
  0x6FFF,   0xFFB0, 
  0x6F92,   0x4FB0, 
  0x6FFF,   0xFFB0, 
  0x6F6D,   0xB7B0, 
  0x6FFF,   0xFFB0, 
  0x6F92,   0x4FB0, 
  0x6FFF,   0xFFB0, 
  0x6F6D,   0xB7B0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x67FF,   0xFF30, 
  0x7000,   0x70, 
  0x7FFF,   0xFFF0, 
  0x3FFF,   0xFFE0, 
  0x8000,   0x8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC92,   0x49F8, 
  0xFC00,   0x1F8, 
  0xFC6D,   0xB1F8, 
  0xFC00,   0x1F8, 
  0xFC92,   0x49F8, 
  0xFC00,   0x1F8, 
  0xFC6D,   0xB1F8, 
  0xFC00,   0x1F8, 
  0xFC92,   0x49F8, 
  0xFC00,   0x1F8, 
  0xFC6D,   0xB1F8, 
  0xFC00,   0x1F8, 
  0xFC92,   0x49F8, 
  0xFC00,   0x1F8, 
  0xFC6D,   0xB1F8, 
  0xFC00,   0x1F8, 
  0xFC92,   0x49F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFF6D,   0xB7F8, 
  0xFFFF,   0xFFF8, 
  0xFF92,   0x4FF8, 
  0xFFFF,   0xFFF8, 
  0xFF6D,   0xB7F8, 
  0xFFFF,   0xFFF8, 
  0xFF92,   0x4FF8, 
  0xFFFF,   0xFFF8, 
  0xFF6D,   0xB7F8, 
  0xFFFF,   0xFFF8, 
  0xFF92,   0x4FF8, 
  0xFFFF,   0xFFF8, 
  0xFF6D,   0xB7F8, 
  0xFFFF,   0xFFF8, 
  0xFF92,   0x4FF8, 
  0xFFFF,   0xFFF8, 
  0xFF6D,   0xB7F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,



/* Card # 15 */

/*------ plane # 0: --------*/

  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x0, 
  0xFFF,   0xFF80, 
  0x1800,   0xC0, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x13FF,   0xFE40, 
  0x13E3,   0xE240, 
  0x11E3,   0xE240, 
  0x13E3,   0xE240, 
  0x13FF,   0xFE40, 
  0x123E,   0x3E40, 
  0x123E,   0x3E40, 
  0x123E,   0x3E40, 
  0x13FF,   0xFE40, 
  0x13E3,   0xE240, 
  0x13E3,   0xE240, 
  0x13E3,   0xE240, 
  0x13FF,   0xFE40, 
  0x123E,   0x3E40, 
  0x123E,   0x3E40, 
  0x123E,   0x3E40, 
  0x13FF,   0xFE40, 
  0x13E3,   0xE240, 
  0x13E3,   0xE240, 
  0x13E3,   0xE240, 
  0x13FF,   0xFE40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1800,   0xC0, 
  0xFFF,   0xFF80, 
  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9800,   0xC8, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x93FF,   0xFE48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9800,   0xC8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0x8000,   0x8, 
  0x3FFF,   0xFFE0, 
  0x7FFF,   0xFFF0, 
  0x7000,   0x70, 
  0x67FF,   0xFF30, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6C00,   0x1B0, 
  0x6DC1,   0xC1B0, 
  0x6DC1,   0xC1B0, 
  0x6DC1,   0xC1B0, 
  0x6C00,   0x1B0, 
  0x6C1C,   0x1DB0, 
  0x6C1C,   0x1DB0, 
  0x6C1C,   0x1DB0, 
  0x6C00,   0x1B0, 
  0x6DC1,   0xC1B0, 
  0x6DC1,   0xC1B0, 
  0x6DC1,   0xC1B0, 
  0x6C00,   0x1B0, 
  0x6C1C,   0x1DB0, 
  0x6C1C,   0x1DB0, 
  0x6C1C,   0x1DB0, 
  0x6C00,   0x1B0, 
  0x6DC1,   0xC1B0, 
  0x6DC1,   0xC1B0, 
  0x6DC1,   0xC1B0, 
  0x6C00,   0x1B0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x67FF,   0xFF30, 
  0x7000,   0x70, 
  0x7FFF,   0xFFF0, 
  0x3FFF,   0xFFE0, 
  0x8000,   0x8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFE00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,



/* Card # 16 */

/*------ plane # 0: --------*/

  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x0, 
  0xFFF,   0xFF80, 
  0x1800,   0xC0, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x11FF,   0xFC40, 
  0x1155,   0x5440, 
  0x1177,   0x7440, 
  0x1155,   0x5440, 
  0x11DD,   0xDC40, 
  0x1155,   0x5440, 
  0x1177,   0x7440, 
  0x1155,   0x5440, 
  0x11DD,   0xDC40, 
  0x1155,   0x5440, 
  0x1177,   0x7440, 
  0x1155,   0x5440, 
  0x11DD,   0xDC40, 
  0x1155,   0x5440, 
  0x1177,   0x7440, 
  0x1155,   0x5440, 
  0x11DD,   0xDC40, 
  0x1155,   0x5440, 
  0x11FF,   0xFC40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1000,   0x40, 
  0x1800,   0xC0, 
  0xFFF,   0xFF80, 
  0x0,   0x0, 
  0x0,   0x0, 
  0x0,   0x8,

/*------ plane # 1: --------*/

  0xFFFF,   0xFFF8, 
  0xC000,   0x18, 
  0x8000,   0x8, 
  0x8FFF,   0xFF88, 
  0x9800,   0xC8, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x93FF,   0xFE48, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x9200,   0x248, 
  0x93FF,   0xFE48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9000,   0x48, 
  0x9800,   0xC8, 
  0x8FFF,   0xFF88, 
  0x8000,   0x8, 
  0xC000,   0x18, 
  0xFFFF,   0xFFF8,

/*------ plane # 2: --------*/

  0x8000,   0x8, 
  0x3FFF,   0xFFE0, 
  0x7FFF,   0xFFF0, 
  0x7000,   0x70, 
  0x67FF,   0xFF30, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6E00,   0x3B0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x6FFF,   0xFFB0, 
  0x67FF,   0xFF30, 
  0x7000,   0x70, 
  0x7FFF,   0xFFF0, 
  0x3FFF,   0xFFE0, 
  0x8000,   0x8,

/*------ plane # 3: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFC00,   0x1F8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0,

/*------ plane # 4: --------*/

  0x7FFF,   0xFFF0, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0xFFFF,   0xFFF8, 
  0x7FFF,   0xFFF0 };



struct Image mycardsimage[] = {
   {0, 0, 29, 39, 5, &mycards[CARDSIZE *  0], 0x1f, 0x00, NULL},
   {0, 0, 29, 39, 5, &mycards[CARDSIZE *  1], 0x1f, 0x00, NULL},
   {0, 0, 29, 39, 5, &mycards[CARDSIZE *  2], 0x1f, 0x00, NULL},
   {0, 0, 29, 39, 5, &mycards[CARDSIZE *  3], 0x1f, 0x00, NULL},
   {0, 0, 29, 39, 5, &mycards[CARDSIZE *  4], 0x1f, 0x00, NULL},
   {0, 0, 29, 39, 5, &mycards[CARDSIZE *  5], 0x1f, 0x00, NULL},
   {0, 0, 29, 39, 5, &mycards[CARDSIZE *  6], 0x1f, 0x00, NULL},
   {0, 0, 29, 39, 5, &mycards[CARDSIZE *  7], 0x1f, 0x00, NULL},
   {0, 0, 29, 39, 5, &mycards[CARDSIZE *  8], 0x1f, 0x00, NULL},
   {0, 0, 29, 39, 5, &mycards[CARDSIZE *  9], 0x1f, 0x00, NULL},
   {0, 0, 29, 39, 5, &mycards[CARDSIZE * 10], 0x1f, 0x00, NULL},
   {0, 0, 29, 39, 5, &mycards[CARDSIZE * 11], 0x1f, 0x00, NULL},
   {0, 0, 29, 39, 5, &mycards[CARDSIZE * 12], 0x1f, 0x00, NULL},
   {0, 0, 29, 39, 5, &mycards[CARDSIZE * 13], 0x1f, 0x00, NULL},
   {0, 0, 29, 39, 5, &mycards[CARDSIZE * 14], 0x1f, 0x00, NULL},
   {0, 0, 29, 39, 5, &mycards[CARDSIZE * 15], 0x1f, 0x00, NULL},
   {0, 0, 29, 39, 5, &mycards[CARDSIZE * 16], 0x1f, 0x00, NULL}
   };
