/*                               mywindow.h                             */
/*                                                                      */
/* This one is going to be the window that I prefer: in fact I want it  */
/* to be as large as the whole screen, BORDERLESS and BACKDROP too, so  */
/* I can draw on it as freely as I want and I can avoid the danger of   */
/* writing to the window at the wrong time and trashing a menu that is  */
/* being displayed...                                                   */

struct NewWindow mywindow =
   {
   0, 0,                                  /* Left Edge, Top Edge */
   320, 200,                              /* Width, Height */
   -1, -1,                                /* Detail Pen, Block Pen */

   GADGETUP | MOUSEBUTTONS | MENUPICK,    /* IDCMP Flags */

   SMART_REFRESH | BACKDROP |
   BORDERLESS | ACTIVATE,                 /* Flags */

   NULL,                                  /* First Gadget */
   NULL,                                  /* CheckMark */
   NULL,                                  /* Window Title */
   NULL,                                  /* Pointer to screen */
   NULL,                                  /* Pointer to BitMap */
   NULL, NULL,                            /* MinWidth, MinHeight */
   NULL, NULL,                            /* MaxWidth, MaxHeight */
   CUSTOMSCREEN,                          /* Type of screen in which */
                                          /* this window will open */
   };
